#ifndef TABLE_H
#define TABLE_H

//-----------------------------------------------------------------------------
//
//  Peter Richter (prichter@princeton.edu)
//  Princeton Plasma Physics Laboratory
//  August 2000
//
//  table.h - Interface for table management procedures.
//
//-----------------------------------------------------------------------------

#include "preact/util.h"

// get full table pathname...
void maptable(char rootdir[], char table[], char pathname[]);

// add table with given parameters...
void addtable(char table[], fp_64 parameters[]);

// get table parameters...
void getparam(char table[], fp_64 parameters[]);

// range error check (64 bit and 32 bit versions)...

void table_errchk(fp_64 x[], fp_64 f[], int n, char xlbl[],
		  range& xrange, int& warn, int& halt);

void table_errchk_32(fp_32 x[], fp_32 f[], int n, char xlbl[],
		     range& xrange, int& warn, int& halt);
//-----------------------------------------------------------------------------

#endif

